
QGIS Application - Bug report #7332

The dialog (feature form) to enter attributes after having digitized a feature do not work anymore

2013-03-12 03:15 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16317

Description

The fields are all disabled. After giving the "ok" data can be edited in the table of attributes.

Associated revisions

Revision 96887b8d - 2013-03-13 07:29 AM - Denis Rouzaud

fix #7332

Revision 07c11a00 - 2013-03-13 07:43 AM - Nathan Woodrow

Merge pull request #467 from 3nids/immutablefields

[fix #7332] enables fields edition for newly added layers

History

#1 - 2013-03-12 05:39 AM - Denis Rouzaud

I can't reproduce this.

When the edit form opens, do you have only one button (ok) or two (ok, cancel)?

#2 - 2013-03-12 05:44 AM - Giovanni Manghi

Denis Rouzaud wrote:

I can't reproduce this.

When the edit form opens, do you have only one button (ok) or two (ok, cancel)?

I have two, ok and cancel. I have just tested again on two different computers, one with Windows/osgeo4w and the other with Linux/nightly-build.

#3 - 2013-03-12 06:21 AM - Salvatore Larosa

I think it only happens with point layer !
#4 - 2013-03-12 06:23 AM - Giovanni Manghi

Salvatore Larosa wrote:

I think it only happens with point layer !

it happens also with polygons here.

#5 - 2013-03-12 06:28 AM - Salvatore Larosa

Giovanni Manghi wrote:

Salvatore Larosa wrote:

I think it only happens with point layer !

it happens also with polygons here.

You're right, but apparently only if the polygon layer has Multi* type geometries !

#6 - 2013-03-12 08:22 AM - Salvatore Larosa

The geometry type was a casuality ! Sorry for the noise !

While it seems that the new checkbox "Editable" 

in attribute edit dialog doesn't work as expected, 

indeed the value is always unchecked, although 

looking in UI file I see the property of the checkbox is "checked = True" !

This new feature has been introduced by Denis, so he could help us

to solve this issue!

#7 - 2013-03-12 01:58 PM - Denis Rouzaud

I think I got the error, it probably happens only for newly created layers.

I will try to fix this tomorrow morning.

#8 - 2013-03-12 11:31 PM - Denis Rouzaud

here it is

https://github.com/qgis/Quantum-GIS/pull/467

sorry for the error!

#9 - 2013-03-12 11:43 PM - Nathan Woodrow

2025-04-27 2/3

https://github.com/qgis/Quantum-GIS/pull/467


- Status changed from Open to Closed

Fixed in changeset commit:"07c11a00504e198faf6838462f889252f6cce625".
